Get Agent Tool
curl --request GET \
--url https://api.ravan.ai/api/v1/tools/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravan.ai/api/v1/tools/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravan.ai/api/v1/tools/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Tool fetched successfully",
"data": {
"id": "1a2b3c4d-1111-2222-3333-444455556666",
"organizationId": "0b8e2f10-1234-4abc-9def-567890abcdef",
"name": "book_appointment",
"description": "Books an appointment in the connected calendar",
"type": "custom",
"definition": {
"url": "https://example.com/book",
"method": "POST",
"parameters": {
"type": "object",
"properties": {
"date": {
"type": "string"
}
}
}
},
"isActive": true,
"agentId": "9f1c2b3a-4d5e-6f70-8190-a1b2c3d4e5f6",
"enabledFunctions": {
"values": [
"book",
"reschedule"
]
}
}
}
Agent Tool API
Get Agent Tool
Fetch a single tool by ID for the authenticated organization.
GET
/
api
/
v1
/
tools
/
{id}
/
Get Agent Tool
Authorizations
string
required
Bearer JWT used to authenticate the request for the organization scope.
Path Parameters
string
required
Tool UUID.
Response
boolean
Whether the request succeeded.
string
Human-readable status message.
object
{
"success": true,
"message": "Tool fetched successfully",
"data": {
"id": "1a2b3c4d-1111-2222-3333-444455556666",
"organizationId": "0b8e2f10-1234-4abc-9def-567890abcdef",
"name": "book_appointment",
"description": "Books an appointment in the connected calendar",
"type": "custom",
"definition": {
"url": "https://example.com/book",
"method": "POST",
"parameters": {
"type": "object",
"properties": {
"date": {
"type": "string"
}
}
}
},
"isActive": true,
"agentId": "9f1c2b3a-4d5e-6f70-8190-a1b2c3d4e5f6",
"enabledFunctions": {
"values": [
"book",
"reschedule"
]
}
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Tool UUID.
⌘I

